<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::bluetoothImplementations::blueZ::BlueZAVRCPController Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations.html">bluetoothImplementations</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html">blueZ</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_a_v_r_c_p_controller.html">BlueZAVRCPController</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_a_v_r_c_p_controller-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::bluetoothImplementations::blueZ::BlueZAVRCPController Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_blue_z_a_v_r_c_p_controller_8h_source.html">BlueZAVRCPController.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::bluetoothImplementations::blueZ::BlueZAVRCPController:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_a_v_r_c_p_controller__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_a_v_r_c_p_controller_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_a_v_r_c_p_controller_inherit__map" id="alexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_a_v_r_c_p_controller_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_a_v_r_c_p_controller_interface.html" title="Used to implement an instance of AVRCPController (Audio/Video Remote Control Profile). " alt="" coords="291,5,531,57"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_bluetooth_service_interface.html" title="Interface representing a BluetoothService. " alt="" coords="5,5,243,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::bluetoothImplementations::blueZ::BlueZAVRCPController:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_a_v_r_c_p_controller__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_a_v_r_c_p_controller_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_a_v_r_c_p_controller_coll__map" id="alexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_a_v_r_c_p_controller_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_a_v_r_c_p_controller_interface.html" title="Used to implement an instance of AVRCPController (Audio/Video Remote Control Profile). " alt="" coords="291,5,531,57"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_bluetooth_service_interface.html" title="Interface representing a BluetoothService. " alt="" coords="5,5,243,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td colspan="2"><div class="groupHeader">BluetoothServiceInterface functions.</div></td></tr>
<tr class="memitem:abf2800ee16ebf22ed708ca328d916f5d"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_s_d_p_record_interface.html">avsCommon::sdkInterfaces::bluetooth::services::SDPRecordInterface</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_a_v_r_c_p_controller.html#abf2800ee16ebf22ed708ca328d916f5d">getRecord</a> () override</td></tr>
<tr class="separator:abf2800ee16ebf22ed708ca328d916f5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c0f4763c6c685915fe922623b8fca81"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_a_v_r_c_p_controller.html#a4c0f4763c6c685915fe922623b8fca81">setup</a> () override</td></tr>
<tr class="memdesc:a4c0f4763c6c685915fe922623b8fca81"><td class="mdescLeft">&#160;</td><td class="mdescRight">Called for any necessary setup of the service.  <a href="#a4c0f4763c6c685915fe922623b8fca81">More...</a><br /></td></tr>
<tr class="separator:a4c0f4763c6c685915fe922623b8fca81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5947114b7c5fe7354687588d63bf5c03"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_a_v_r_c_p_controller.html#a5947114b7c5fe7354687588d63bf5c03">cleanup</a> () override</td></tr>
<tr class="memdesc:a5947114b7c5fe7354687588d63bf5c03"><td class="mdescLeft">&#160;</td><td class="mdescRight">Called for any necessary cleanup of the service.  <a href="#a5947114b7c5fe7354687588d63bf5c03">More...</a><br /></td></tr>
<tr class="separator:a5947114b7c5fe7354687588d63bf5c03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_a_v_r_c_p_controller_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_a_v_r_c_p_controller_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_a_v_r_c_p_controller_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::services::AVRCPControllerInterface</a></td></tr>
<tr class="memitem:af53a67f5afcc843bb2a38d3047b7fef4 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_a_v_r_c_p_controller_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_a_v_r_c_p_controller_interface.html#af53a67f5afcc843bb2a38d3047b7fef4">~AVRCPControllerInterface</a> ()=default</td></tr>
<tr class="separator:af53a67f5afcc843bb2a38d3047b7fef4 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_a_v_r_c_p_controller_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_bluetooth_service_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_bluetooth_service_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_bluetooth_service_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::services::BluetoothServiceInterface</a></td></tr>
<tr class="memitem:ab0e1bf6f9258e55a9cd2e94734ad95f6 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_bluetooth_service_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_bluetooth_service_interface.html#ab0e1bf6f9258e55a9cd2e94734ad95f6">~BluetoothServiceInterface</a> ()=default</td></tr>
<tr class="memdesc:ab0e1bf6f9258e55a9cd2e94734ad95f6 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_bluetooth_service_interface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_bluetooth_service_interface.html#ab0e1bf6f9258e55a9cd2e94734ad95f6">More...</a><br /></td></tr>
<tr class="separator:ab0e1bf6f9258e55a9cd2e94734ad95f6 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_bluetooth_service_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a9d2d81e61655bd1fa21e2dbf9d645c38"><td class="memItemLeft" align="right" valign="top">static std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_a_v_r_c_p_controller.html">BlueZAVRCPController</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_a_v_r_c_p_controller.html#a9d2d81e61655bd1fa21e2dbf9d645c38">create</a> ()</td></tr>
<tr class="separator:a9d2d81e61655bd1fa21e2dbf9d645c38"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_static_attribs_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_a_v_r_c_p_controller_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_static_attribs_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_a_v_r_c_p_controller_interface')"><img src="closed.png" alt="-"/>&#160;Static Public Attributes inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_a_v_r_c_p_controller_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::services::AVRCPControllerInterface</a></td></tr>
<tr class="memitem:a0ce09cae8c766fb2d4b6f5b381ec5269 inherit pub_static_attribs_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_a_v_r_c_p_controller_interface"><td class="memItemLeft" align="right" valign="top">static constexpr const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_a_v_r_c_p_controller_interface.html#a0ce09cae8c766fb2d4b6f5b381ec5269">UUID</a> = &quot;0000110e-0000-1000-8000-00805f9b34fb&quot;</td></tr>
<tr class="separator:a0ce09cae8c766fb2d4b6f5b381ec5269 inherit pub_static_attribs_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_a_v_r_c_p_controller_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a571cea02f7abedcedda8d70318f80513 inherit pub_static_attribs_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_a_v_r_c_p_controller_interface"><td class="memItemLeft" align="right" valign="top">static constexpr const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_a_v_r_c_p_controller_interface.html#a571cea02f7abedcedda8d70318f80513">NAME</a> = &quot;A/V_RemoteControl&quot;</td></tr>
<tr class="memdesc:a571cea02f7abedcedda8d70318f80513 inherit pub_static_attribs_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_a_v_r_c_p_controller_interface"><td class="mdescLeft">&#160;</td><td class="mdescRight">The Service Name.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_a_v_r_c_p_controller_interface.html#a571cea02f7abedcedda8d70318f80513">More...</a><br /></td></tr>
<tr class="separator:a571cea02f7abedcedda8d70318f80513 inherit pub_static_attribs_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_a_v_r_c_p_controller_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">BlueZ implementation of <code>AVRCPControllerInterface</code> interface </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a5947114b7c5fe7354687588d63bf5c03"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5947114b7c5fe7354687588d63bf5c03">&#9670;&nbsp;</a></span>cleanup()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::bluetoothImplementations::blueZ::BlueZAVRCPController::cleanup </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Called for any necessary cleanup of the service. </p>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_bluetooth_service_interface.html#abd3672bba780f47bcfc0fcc7cf393102">alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::services::BluetoothServiceInterface</a>.</p>

</div>
</div>
<a id="a9d2d81e61655bd1fa21e2dbf9d645c38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d2d81e61655bd1fa21e2dbf9d645c38">&#9670;&nbsp;</a></span>create()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_a_v_r_c_p_controller.html">BlueZAVRCPController</a> &gt; alexaClientSDK::bluetoothImplementations::blueZ::BlueZAVRCPController::create </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Factory method to create a new instance of <code><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_a_v_r_c_p_controller.html">BlueZAVRCPController</a></code>.</p>
<dl class="section return"><dt>Returns</dt><dd>A new instance of <code><a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_a_v_r_c_p_controller.html">BlueZAVRCPController</a></code>, nullptr if there was an error creating it. </dd></dl>

</div>
</div>
<a id="abf2800ee16ebf22ed708ca328d916f5d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf2800ee16ebf22ed708ca328d916f5d">&#9670;&nbsp;</a></span>getRecord()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_s_d_p_record_interface.html">SDPRecordInterface</a> &gt; alexaClientSDK::bluetoothImplementations::blueZ::BlueZAVRCPController::getRecord </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Returns an SDPRecord for the service.</p>
<dl class="section return"><dt>Returns</dt><dd>A <code>SDPRecordInterface</code> for the service. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_bluetooth_service_interface.html#aff5b01095d30189b605b38e4731550f4">alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::services::BluetoothServiceInterface</a>.</p>

</div>
</div>
<a id="a4c0f4763c6c685915fe922623b8fca81"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c0f4763c6c685915fe922623b8fca81">&#9670;&nbsp;</a></span>setup()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::bluetoothImplementations::blueZ::BlueZAVRCPController::setup </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Called for any necessary setup of the service. </p>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_bluetooth_service_interface.html#a1643041a86d8a41aeafd56a7603d2fb4">alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::services::BluetoothServiceInterface</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/workplace/avs-device-sdk/BluetoothImplementations/BlueZ/include/BlueZ/<a class="el" href="_blue_z_a_v_r_c_p_controller_8h_source.html">BlueZAVRCPController.h</a></li>
<li>/workplace/avs-device-sdk/BluetoothImplementations/BlueZ/src/<a class="el" href="_blue_z_a_v_r_c_p_controller_8cpp.html">BlueZAVRCPController.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
